#ifndef PLABEL_H
#define PLABEL_H

class PLabel;

#include <tqlabel.h>
#include "pmessage.h"
#include "pframe.h"
#include "controller.h"

class PLabel : public PFrame
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PLabel ( PObject * parent );
  virtual ~PLabel ();
  
  virtual void messageHandler(int fd, PukeMessage *pm);
  
  virtual void setWidget(TQObject *_obj = 0);
  virtual TQLabel *widget();

public slots:
  
protected:
  bool checkWidget();

private:
  TQLabel *label;
};

#endif
